/**
 * @name types
 * @author openocean
 * @date 2021/4/20
 * @desc
 */
import BscWallet from "./Wallets/BscWallet";
import Cyano from "./Wallets/Cyano";
import MetaMask from "./Wallets/MetaMask";
import TronLink from "./Wallets/TronLink";
export declare enum EnumChains {
    ETH = "eth",
    ONT = "ont",
    BSC = "bsc",
    TRON = "tron",
    Solana = "solana",
    Polygon = "polygon",
    XDai = "xdai",
    HECO = "heco",
    Fantom = "fantom",
    Avalanche = "avax",
    OKEX = "okex"
}
export declare enum EnumWalletType {
    Extension = "Extension",
    WalletConnect = "WalletConnect",
    Web = "Web",
    Mobile = "Mobile"
}
export declare enum EnumWalletName {
    MetaMask = "MetaMask",
    BscWallet = "BSC Wallet",
    Cyano = "Cyano",
    TronLink = "TronLink",
    WalletConnect = "WalletConnect",
    Sollet = "Sollet",
    SolletIo = "Sollet.io",
    OntoMobile = "ONTO Mobile",
    OntoExt = "ONTO Extension",
    TrustWallet = "Trust Wallet",
    MathWallet = "Math Wallet",
    TokenPocket = "Token Pocket",
    SafePalWallet = "SafePal Wallet",
    ImTokenWallet = "ImToken Wallet",
    OntoWallet = "ONTO Wallet",
    Coin98 = "Coin98 Wallet",
    OKExWallet = "OKEx Wallet",
    Phantom = "Phantom"
}
export declare enum EnumErrors {
    NotMetamask = "40001",
    NotBinance = "40002",
    NoTronLink = "40003",
    NoTronLinkAccount = "40004",
    NoSollet = "40005",
    ChainIdNotMath = "40006",
    UserCanceled = "40007",
    NotConnected = "40008",
    UnSupported = "40009",
    NoCoin98 = "40011",
    NoMath = "40012",
    NoPhantom = "40013",
    NoOKExWallet = "40014"
}
export interface ConnectResult {
    chain: EnumChains;
    walletName: EnumWalletName;
    onSuccess?: () => void;
    onError?: (e: any) => void;
}
export declare type SelectConnect = () => Promise<ConnectResult>;
export declare type Wallet = MetaMask | BscWallet | Cyano | TronLink;
export declare type WalletType = typeof MetaMask | typeof BscWallet | typeof Cyano | typeof TronLink;
